Gtk2::ToggleButton(3)

NAME
Gtk2::ToggleButton - wrapper for GtkToggleButton

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Button
                                +----Gtk2::ToggleButton

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable

METHODS

  widget = Gtk2::ToggleButton->new ($label=undef)

•   $label (string)

  widget = Gtk2::ToggleButton->new_with_label ($label=undef)

•   $label (string)

  widget = Gtk2::ToggleButton->new_with_mnemonic ($label=undef)

•   $label (string)

  boolean = $toggle_button->get_active

  $toggle_button->set_active ($is_active)

•   $is_active (boolean)

  boolean = $toggle_button->get_inconsistent

  $toggle_button->set_inconsistent ($setting)

•   $setting (boolean)

  boolean = $toggle_button->get_mode

  $toggle_button->set_mode ($draw_indicator)

•   $draw_indicator (boolean)

  $toggle_button->toggled

PROPERTIES

'active' (boolean : default false : readable / writable / private)
    If the toggle button should be pressed in or not

'draw-indicator' (boolean : default false : readable / writable / private)
    If the toggle part of the button is displayed

'inconsistent' (boolean : default false : readable / writable / private)
    If the toggle button is in an "in between" state

SIGNALS

toggled (Gtk2::ToggleButton)

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::Button

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.